@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

body {
   background: #fff;
}

a {
    text-decoration: none;
    color: white;
}

.navbar {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    padding: 25px 9%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
    background-color: #20252d;
    border: black solid;
    box-shadow: black 0 0 10px;
}

.navbar .logo {
    color: white;
    font-size: 2em;
    font-weight: 700;
}

.navbar ul {
    display: flex;
}

.navbar ul li {
    list-style: none;
    margin-left: 35px;
}

.navbar ul li a {
    color: white;
    font-size: 1.5em;
    font-weight: 500;
    transition: 0.3s ease;
}

.navbar ul li:hover a, .navbar ul li.active a {
    color: #ffb400;
}

.home{
    display: flex;
    align-items: center;
    height: 100vh;
    padding: 60px 9% 0;
    color: #fff;
    gap: 50px;
}

.home-info h1 {
    font-size: 3.5em;
}

.home-info h2 {
    font-size: 2em;
    margin: 0px 0;
    display: inline-block;
}

.home-info h2 span {
    position: relative;
    display: inline-block;
    color: transparent;
    -webkit-text-stroke: .7px #ffb400;
    animation: display-text 16s linear infinite;
    animation-delay: calc(-4s * var(--i));
}

@keyframes display-text {
    25%,100%{
        display: none;
    }
}

.home-info h2 span::before {
    content: attr(data-text);
    position: absolute;
    width: 0;
    border-right: 2px solid #ffb400;
    color: #ffb400;
    white-space: nowrap;
    overflow: hidden;
    animation: fill-text 4s linear infinite;
}

@keyframes fill-text {
    10%, 100%{
        width: 0;
    }
    70%, 95%{
        width: 100%;
    }
}

.home-info p {
    font-size: 1.2em;
    margin: 10px 0 25px;
}

.home-info .btn-sci {
    display: flex;
    align-items: center;

}

.btn {
    display: inline-block;
    padding: 10px 30px;
    background-color: #ffb400;
    color: #1d1d1d;
    font-size: 1.2em;
    font-weight: 500;
    border-radius: 40px;
    box-shadow: 0 0 10px #ffb400;
    transition: 0.3s ease;
}

.btn:hover {
    background-color: #1d1d1d;
    color: #ffb400;
    box-shadow: 0 0 10px #ffb400;
}

.home-info .btn-sci .sci {
    margin-left: 20px;
}

.home-info .btn-sci .sci a {
    display: inline-flex;
    padding: 10px;
    border: #ffb400 solid;
    border-radius: 50%;
    font-size: 20px;
    color: #ffb400;
    margin: 0 8px;
    transition: 0.3s ease;
}

.home-info .btn-sci .sci a:hover {
    background-color: #ffb400;
    color: #1d1d1d;
    box-shadow: 0 0 10px #ffb400;
}

.home-img .img-box {
    position: relative;
    width: 30vw;
    height: 30vw;
    border-radius: 50%;
    padding: 5px;
    align-items: center;
    display: flex;
    justify-content: center;
    overflow: hidden;
}

/*.home-img .img-box::before, .home-img .img-box::after {
    content: '';
    position: absolute;
    width: 580px;
    height: 580px;
    background: conic-gradient(transparent,transparent,transparent,#ffb400);
    transform: rotate(0deg);
    animation: rot-bo 10s linear infinite;
}*/

@keyframes rot-bo{
    100%{transform: rotate(360deg);}
}

.home-img .img-box .img-item {
    position: relative;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    overflow: hidden;
    z-index: 1;
}

.home-img .img-box .img-item img {
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.bar-animation {
    position: absolute;
    height: 100%;
    width: 100%;
    display: flex;
    z-index: -1;
    background: #ffffff;
}

.bar-animation .bar {
    width: 100%;
    height: 100%;
    border: 2px solid rgba(255, 0, 0, 0);
    transform: translateY(-100%);
    animation: show-bar .5s ease-in-out forwards;
    animation-delay: calc(.1s * var(--i));
    background: #20252d;
}
.my-image {
    width: 200px;
    height: 200px;
    display: block;
    object-fit: cover;
    border-radius: 50%;

    animation-name: spin;
    animation-duration: 9s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}

@keyframes show-bar {
    100% {
        transform: translateY(0%);
    }
}